import * as $dara from '@darabonba/typescript';
export declare class DescribeInstanceRamRoleResponseBodyInstanceRamRoleSetsInstanceRamRoleSet extends $dara.Model {
    /**
     * @remarks
     * The ID of the instance
     *
     * @example
     * i-bp67acfmxazb4p****
     */
    instanceId?: string;
    /**
     * @remarks
     * The name of the instance RAM role.
     *
     * @example
     * EcsServiceRole-EcsDocGuideTest
     */
    ramRoleName?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeInstanceRamRoleResponseBodyInstanceRamRoleSets extends $dara.Model {
    instanceRamRoleSet?: DescribeInstanceRamRoleResponseBodyInstanceRamRoleSetsInstanceRamRoleSet[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeInstanceRamRoleResponseBody extends $dara.Model {
    /**
     * @remarks
     * The IDs of the ECS instances and the names of the corresponding instance RAM roles.
     */
    instanceRamRoleSets?: DescribeInstanceRamRoleResponseBodyInstanceRamRoleSets;
    /**
     * @remarks
     * The region ID of the ECS instances.
     *
     * @example
     * cn-hangzhou
     */
    regionId?: string;
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * 473469C7-AA6F-4DC5-B3DB-A3DC0DE3C83E
     */
    requestId?: string;
    /**
     * @remarks
     * The number of ECS instances returned.
     *
     * @example
     * 1
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
